Get VectorDB projects
https://api.elastic-cloud.com
- GET /api/v1/serverless/projects/vectordb
Fetches a list of VectorDB projects.
Query Parameters
-
traffic_filterstring Filters the returned list of projects. Only projects associated with the provided traffic_filter will be returned.
-
linkedstring · pattern: ^[a-z0-9]{32}$ Contains a project ID. If specified, the result will be filtered to only those origin projects that are linked to the specified project ID in a cross-project search configuration.
If specified, the result will be filtered to only those projects that have the specified tags and corresponding values.
Responses
The VectorDB project list
-
next_pagestringdeprecated -
A token to fetch the next page.
-
itemsVectorDBProjectrequired -
The actual projects.
-
idstring · pattern: ^[a-z0-9]{32}$required -
ID of the project.
-
namestring · min: 1 · max: 255required -
Descriptive name for a project.
-
aliasstring · min: 8 · max: 57 · pattern: ^[a-zA-Z]{1}(?:[a-zA-Z0-9-]*[a-zA-Z0-9]{1})?$required -
A domain label compatible with RFC-1035 standards. Project alias with a unique suffix added by the system to avoid naming conflicts.
-
region_idstringrequired -
Unique human-readable identifier for a region in Elastic Cloud.
-
metadataProjectMetadatarequired -
Additional details about the project.
-
created_atstringrequired -
Date and time when the project was created.
-
created_bystringrequired -
ID of the user.
-
organization_idstringrequired -
The Organization ID who owns the project.
-
suspended_atstring -
Date and time when the project was suspended.
-
suspended_reasonstring -
Reason why the project was suspended.
-
Tags associated with a project in the form of key-value pairs. Tags are limited to a minimum of 1 and a maximum of 64 per project. Each tag key must begin with a lowercase letter (a-z), contain only lowercase letters, digits, underscores, and hyphens (a-z0-9_-), and have a maximum length of 32 characters.
-
System tags associated with a project in the form of key-value pairs. These tags are added by the internal system and are read-only. The keys are prefixed with an underscore to differentiate them from user tags.
-
cloud_idstringrequired -
The cloud ID, an encoded string that provides other Elastic services with the necessary information to connect to this Elasticsearch and Kibana.
-
linkedLinkConfiguration -
Configuration for projects linked to this project
-
endpointsVectorDBProjectEndpointsrequired -
The endpoints to access the different apps of the project.
-
elasticsearchstringrequired -
The endpoint to access elasticsearch.
-
kibanastringrequired -
The endpoint to access kibana.
-
private_endpointsVectorDBProjectPrivateEndpoints -
Private endpoints (URLs) for VectorDB projects when PrivateLink is enabled.
-
elasticsearchstringrequired -
The PrivateLink endpoint URL to access elasticsearch.
-
kibanastringrequired -
The PrivateLink endpoint URL to access kibana.
-
search_lakeVectorDBSearchLake -
Configuration for entire set of capabilities that make the data searchable in VectorDB.
-
search_powerinteger · min: 100 · max: 1900 · × 100 -
Controls how fast searches are against your project data. Must be a multiple of 100.